Port GridCoverage to the new CRS API and implement GeoAPI interfaces.

Description

GridCoverage implementations must abandon their dependency to the legacy CTS framework and use the new CRS framework instead. Once this is done, they must implements GeoAPI interfaces.

Environment

None

Activity

Show:
codehaus
April 10, 2015, 3:16 PM

CodeHaus Comment From: desruisseaux - Time: Thu, 30 Jun 2005 22:48:47 -0500
---------------------
Operation "SampleDimensionSelect" ported as of revision 14657. Need tests.

codehaus
April 10, 2015, 3:16 PM

CodeHaus Comment From: desruisseaux - Time: Fri, 20 Jan 2006 04:14:28 -0600
---------------------
The work is not finished, but there is enough already done in 2.2 for pushing the remaining to 2.3.

codehaus
April 10, 2015, 3:16 PM

CodeHaus Comment From: desruisseaux - Time: Wed, 29 Nov 2006 09:34:01 -0600
---------------------
In 2.3, the geotools grid coverage implementations implements the ISO 19123 GeoAPI interfaces, but most implementations just throw an UnsupportedOperationException. Real implementations are delayed to a further release.

codehaus
April 10, 2015, 3:16 PM

CodeHaus Comment From: desruisseaux - Time: Sat, 7 Jul 2007 05:21:27 -0500
---------------------
Changing the "fix version" from 2.4-RC0 to "unknown", since we don't have the resources to work on this issue in the short term.

codehaus
April 10, 2015, 3:16 PM

CodeHaus Comment From: desruisseaux - Time: Fri, 1 Feb 2008 04:47:32 -0600
---------------------
Most of the classes have been ported. The legacy classes not yet ported are not likely to be ported soon, given that the coverage module is now significantly different and future work are more likely to be new development.

Assignee

Unassigned

Reporter

codehaus

Triage

None

Components

Fix versions

Affects versions

Priority

High
Configure